For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register an External Transfer made External to Violet

Register a External Transfer made External to Violet

post
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
merchant_idinteger · int32Optional

Unique identifier of the merchant associated with this external transfer.

payment_providerstringOptional

Name of the payment provider (e.g. STRIPE, PAYPAL) associated with this external transfer.

payment_provider_idstringOptional

Unique identifier of transfer to the merchant in the payment provider system.

currencystringOptional

ISO 4217 currency code of this external transfer (e.g., USD, GBP). If not provided, will be derived from the related distributions.

related_distributionsinteger · int64[]Optional

List of Distribution IDs associated with this pending transfer response. The total pending transfer amount equals the sum of all related pending distributions.

Responses
default

default response

application/json
transfer_idinteger · int64Optional

Unique identifier of Violet Transfer associated with this External Transfer.

merchant_idinteger · int32Optional

Unique identifier of the merchant associated with this external transfer.

payment_providerstringOptional

Name of the payment provider (e.g. STRIPE, PAYPAL) associated with this external transfer.

payment_provider_idstringOptional

Unique identifier of transfer to the merchant in the payment provider system.

currencystringOptional

ISO 4217 currency code of this external transfer (e.g., USD, GBP). Derived from the related distributions.

successful_distributionsinteger · int64[]Optional

List of Distribution IDs that were successfully processed in this external transfer. The total pending transfer amount equals the sum of all related pending distributions.

failed_distributionsinteger · int64[]Optional

List of failed Distribution IDs associated with this pending transfer response. The total pending transfer amount equals the sum of all related pending distributions.

date_createdstring · date-timeOptional

Time at which the object was created. In ISO-8601 format.

post/payments/transfers/register
POST /v1/payments/transfers/register HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "merchant_id": 1,
  "payment_provider": "text",
  "payment_provider_id": "text",
  "currency": "text",
  "related_distributions": [
    1
  ],
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
default

default response

{
  "transfer_id": 1,
  "merchant_id": 1,
  "payment_provider": "text",
  "payment_provider_id": "text",
  "currency": "text",
  "successful_distributions": [
    1
  ],
  "failed_distributions": [
    1
  ],
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "date_created": "2026-01-01T00:00:00.000Z",
  "error_details": [
    {
      "distribution_id": 1,
      "reason": "text"
    }
  ]
}

Last updated

Was this helpful?